{{/*
SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
SPDX-License-Identifier: Apache-2.0
*/}}
{{- if .Values.autoscaling.enabled }}
---
apiVersion: {{ include "common.capabilities.hpa.apiVersion" | quote }}
kind: "HorizontalPodAutoscaler"
metadata:
  name: {{ include "common.names.fullname" . | quote }}
  labels:
    {{- include "common.labels.standard" . | nindent 4 }}
spec:
  scaleTargetRef:
    apiVersion: {{ include "common.capabilities.deployment.apiVersion" . | quote }}
    kind: "Deployment"
    name: {{ include "common.names.fullname" . | quote }}
  minReplicas: {{ .Values.autoscaling.minReplicas }}
  maxReplicas: {{ .Values.autoscaling.maxReplicas }}
  metrics:
    {{- if .Values.autoscaling.targetCPUUtilizationPercentage }}
    - type: "Resource"
      resource:
        name: "cpu"
        targetAverageUtilization: {{ .Values.autoscaling.targetCPUUtilizationPercentage }}
    {{- end }}
    {{- if .Values.autoscaling.targetMemoryUtilizationPercentage }}
    - type: "Resource"
      resource:
        name: "memory"
        targetAverageUtilization: {{ .Values.autoscaling.targetMemoryUtilizationPercentage }}
    {{- end }}
...
{{- end }}
